Description

I think that it would be useful if QgsRunProcess::processExit() [1] forwards the finished() signal [2] sent by QProcess, so a plugin that runs

an external process could detect when the process exits.

I'm assigning this request to "C++ Plugins", but don't forget the Python Bindings.

[1] http://www.qgis.org/api/qgsrunprocess_8cpp_source.html

[2] http://doc.qt.digia.com/qt/qprocess.html#finished

History

#1 - 2017-01-02 05:05 AM - Giovanni Manghi

- Category deleted (C++ Plugins)

#2 - 2017-01-02 05:06 AM - Giovanni Manghi

- Category set to C++ Plugins

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
